/* Global */

@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

html{
    scroll-behavior: smooth;
}

body{
    overflow: hidden;
}

/* login page */

.container-login {
    display: flex;
    height: 100vh;
    background-color: #0C0216;
    justify-content: center;
    align-items: center;
}

.cardd .card-title{
    font-family: "Poppins";
    font-size: 25pt;
    color: white; 
}

.cardd .card-text{
    font-family: "Poppins";
    font-size: 10pt;
    font-weight: 400;
    color: white; 
}

.cardd label{
    font-family: "Poppins";
    font-size: 10pt;
    font-weight: 400;
    color: white; 
}

.cardd input{
    border: 2px solid #4D1B54;
    border-radius: 5px;
    background-color: inherit;
    font-family: "Poppins";
    font-size: 10pt;
    font-weight: 400;
    padding: 10px;
    color: white; 
}

.cardd input:focus, textarea:focus, select:focus {
    outline: none; /* Outline hatane ke liye */
    border: 2px solid #4D1B54;
    box-shadow: none; /* Extra highlighting hatane ke liye */
    color: inherit; /* Font color ko same rakhne ke liye */
    background-color: inherit;
    color: white;
}

.password-input-group {
    position: relative;
}
.password-toggle {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    color: white;
}

.btn-submit {
    background: linear-gradient(45deg, #7E20F0, #CF2A63);
    background-size: 200% 200%;
    border: none;
    color: white;
    font-size: 10pt;
    font-family: "Poppins";
    text-transform: uppercase;
    padding: 10px 20px;
    cursor: pointer;
    border-radius: 5px;
    transition: background-position 0.5s ease-in-out, color 0.3s ease-in-out;
    background-position: right;
}

.btn-submit:hover {
    background-position: left;
}

.cardd .form-text{
    font-family: "Poppins";
    font-size: 10pt;
    font-weight: 400;
    color: rgb(154, 154, 154); 
    text-decoration: none;
}
